- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions

# Fbx6ClassTemplateMap Class Reference

Search for all occurrences

## Detailed Description

Helper class to merge Class root property templates.

Add class id and object to the template and search object by class id.

Definition at line 30 of file fbxreaderfbx6.h.

`#include <fbxreaderfbx6.h>`

List of all members.

## Classes
class | FbxClassIdCompare
## Public Member Functions
| Fbx6ClassTemplateMap ()
| Constructor.
| ~Fbx6ClassTemplateMap ()
| Destructor.
bool | AddClassId (FbxClassId pId, FbxObject *pTemplateObject)
| Add the template object to template map.
bool | MergeWithTemplate (FbxObject *pObject) const
| Merge the properties of FbxObject with the object with the same class id.
void | Clear ()
| Delete all FbxObject in template map.

## Constructor & Destructor Documentation

Fbx6ClassTemplateMap | ( |  | ) |

Constructor.

~Fbx6ClassTemplateMap | ( |  | ) |

Destructor.

## Member Function Documentation

bool AddClassId | ( | FbxClassId | pId,
|  | FbxObject * | pTemplateObject
| ) |  |

Search for all occurrences

Add the template object to template map.

Parameters:

  pId | Class Id
  pTemplateObject | template object

Returns:
  if the object is successfully added return `true`, otherwise return `false`.

bool MergeWithTemplate | ( | FbxObject * | pObject | ) | const

Search for all occurrences

Merge the properties of FbxObject with the object with the same class id.

Parameters:

  pObject | The FbxObject to merge

Returns:
  if the object is merged return `true`, otherwise return `false`.

void Clear | ( |  | ) |

Search for all occurrences

Delete all FbxObject in template map.

The documentation for this class was generated from the following file:

- fbxsdk/fileio/fbx/fbxreaderfbx6.h

Fbx6ClassTemplateMap Fbx6ClassTemplateMap Fbx6ClassTemplateMap Fbx6ClassTemplateMap Fbx6ClassTemplateMap Fbx6ClassTemplateMap Fbx6ClassTemplateMap Fbx6ClassTemplateMap Fbx6ClassTemplateMap Fbx6ClassTemplateMap
Fbx6ClassTemplateMap Fbx6ClassTemplateMap Fbx6ClassTemplateMap Fbx6ClassTemplateMap Fbx6ClassTemplateMap Fbx6ClassTemplateMap Fbx6ClassTemplateMap Fbx6ClassTemplateMap Fbx6ClassTemplateMap Fbx6ClassTemplateMap